<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="/jquery-3.6.0.min.js"></script>
    <title>UA identity</title>
    <style>
        .question_box {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
        }
    </style>
</head>
<body>
<h2 id="question">...</h2>
<div class="question_box">
</div>
<h5>Час автоматичного знищення: <span id="expiration_time">...</span></h5>
</body>
<script>
    window.onload = () => {
        let secretId = location.pathname.match("\/s\/(.*)")[1]
        $.get("/api/get_secret/"+secretId, (response) => {
            console.log(response)
            const date = new Date(response.expiration_time_unix*1000);
            $("#question").text(response.question)
            $("#expiration_time").text(date)
            $(".question_box").html("")

            for (let i = 0; i < response.variants.length; i++) {
                const variant = response.variants[i]
                let button = $("<button>"+variant+"</button>")
                button.on("click", () => {
                    $.get("/api/put_secret/"+secretId + "/" + i, (response) => {
                        if (response.action === "get_next_question"){
                            location.reload()
                        }
                        if (response.action === "get_secret"){
                           $("body").html("Ваш секрет: "+ response.body)
                        }
                    }).fail((response) => {
                        alert(JSON.stringify(response.responseJSON))
                    })
                })
                $(".question_box").append(button)
                $(".question_box").append("<br/>")
            }
        }).fail((response) => {
            alert(JSON.stringify(response.responseJSON))
        })
    }
</script>
</html>